import CellAdapter from './CellAdapter';
export interface ICellState {
    source: string;
    outputsCount: number;
    kernelAvailable: boolean;
    adapter?: CellAdapter;
}
export type CellState = ICellState & {
    setSource: (source: string) => void;
    setOutputsCount: (outputsCount: number) => void;
    setKernelAvailable: (kernelAvailable: boolean) => void;
    setAdapter: (adapter?: CellAdapter) => void;
    execute: () => void;
};
export declare const cellStore: import("zustand").StoreApi<CellState>;
export declare function useCellStore(): CellState;
export declare function useCellStore<T>(selector: (state: CellState) => T): T;
export default useCellStore;
