/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createStore } from 'zustand/vanilla';
import { useStore } from 'zustand';
export const cellStore = createStore((set, get) => ({
    source: '',
    outputsCount: 0,
    kernelAvailable: false,
    adapter: undefined,
    setSource: (source) => set((state) => ({ source })),
    setOutputsCount: (outputsCount) => set((state) => ({ outputsCount })),
    setKernelAvailable: (kernelAvailable) => set((state) => ({ kernelAvailable })),
    setAdapter: (adapter) => set((state) => ({ adapter })),
    execute: () => { get().adapter?.execute(); },
}));
export function useCellStore(selector) {
    return useStore(cellStore, selector);
}
export default useCellStore;
//# sourceMappingURL=CellState.js.map