/// <reference types="react" />
import { JupyterLab } from '@jupyterlab/application';
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import { ColorMode } from '../../jupyter/lab/JupyterLabColorMode';
import JupyterLabAppAdapter from './JupyterLabAppAdapter';
export type JupyterLabAppProps = {
    devMode: boolean;
    headless: boolean;
    pluginPromises?: Array<Promise<JupyterLab.IPluginModule>>;
    plugins: Array<JupyterLab.IPluginModule>;
    disabledPlugins: Array<string>;
    mimeRendererPromises?: Array<Promise<IRenderMime.IExtensionModule>>;
    mimeRenderers: Array<IRenderMime.IExtensionModule>;
    onPlugin?: (plugin: any) => void;
    onJupyterLab: (jupyterLabAppdapter: JupyterLabAppAdapter) => void;
    height: string | number;
    hostId: string;
    pluginId?: string;
    PluginType?: any;
    position: string;
    splash: boolean;
    theme: ColorMode;
    width: string | number;
};
export declare const JupyterLabApp: import("react").MemoExoticComponent<{
    (props: JupyterLabAppProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: Partial<JupyterLabAppProps>;
}>;
export default JupyterLabApp;
