import OutputAdapter from './OutputAdapter';
export declare namespace OutputState {
    type ISource = {
        sourceId: string;
        source: string;
        increment?: number;
    };
    type IDataset = {
        sourceId: string;
        dataset: any;
        increment?: number;
    };
    type IExecute = {
        sourceId: string;
        source: string;
        increment?: number;
    };
    type IGrade = {
        sourceId: string;
        success: boolean;
        increment?: number;
    };
}
export type IOutputState = {
    adapter?: OutputAdapter;
    source?: OutputState.ISource;
    dataset?: OutputState.IDataset;
    setSource?: OutputState.ISource;
    execute?: OutputState.IExecute;
    grade?: OutputState.IGrade;
};
export interface IOutputsState {
    outputs: Map<string, IOutputState>;
}
export type OutputState = IOutputsState & {
    setOutputs: (outputs: Map<string, IOutputState>) => void;
    setAdapter: (id: string, adapter: OutputAdapter) => void;
    setDataset: (dataset: OutputState.IDataset) => void;
    setExecute: (execute: OutputState.IExecute) => void;
    setSource: (source: OutputState.ISource) => void;
    setGrade: (grade: OutputState.IGrade) => void;
    getAdapter: (id: string) => OutputAdapter | undefined;
    getSource: (id: string) => OutputState.ISource | undefined;
    getDataset: (id: string) => OutputState.IDataset | undefined;
    getExecute: (id: string) => OutputState.IExecute | undefined;
    getGrade: (id: string) => OutputState.IGrade | undefined;
};
export declare const outputStore: import("zustand").StoreApi<OutputState>;
export declare function useOutputStore(): OutputState;
export declare function useOutputStore<T>(selector: (state: OutputState) => T): T;
export default useOutputStore;
