import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState, useEffect } from 'react';
import { Box } from '@primer/react';
import TerminalAdapter from './TerminalAdapter';
import { useJupyter } from './../../jupyter/JupyterContext';
import LuminoBox from '../lumino/LuminoBox';
import useTerminalStore from './TerminalState';
export const Terminal = (props) => {
    const { height } = props;
    const terminalStore = useTerminalStore();
    const { serverSettings } = useJupyter();
    const [adapter, setAdapter] = useState();
    useEffect(() => {
        if (serverSettings) {
            const adapter = new TerminalAdapter({
                serverSettings,
                ...props,
            });
            terminalStore.setAdapter(adapter);
            setAdapter(adapter);
        }
    }, [serverSettings]);
    return adapter ? (_jsx(Box, { sx: {
            '& .lm-BoxPanel': {
                height: `${height} !important`,
            },
        }, children: _jsx(LuminoBox, { children: adapter.panel }) })) : (_jsx(_Fragment, {}));
};
Terminal.defaultProps = {
    height: '100%',
    colorMode: 'dark',
};
export default Terminal;
//# sourceMappingURL=Terminal.js.map