import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { Box, Button } from '@primer/react';
import { useJupyterStore } from './../state';
import Jupyter from '../jupyter/Jupyter';
import Cell from '../components/cell/Cell';
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
const DEFAULT_SOURCE = `from IPython.display import display

for i in range(100):
    display('I am a long string which is repeatedly added to the dom in separated divs: %d' % i)`;
const CellExample = () => {
    const cellStore = useJupyterStore().cellStore();
    console.log('Cell Outputs', (cellStore.adapter?.cell).outputArea.model.toJSON());
    return (_jsxs(Jupyter, { children: [_jsx(Box, { as: "h1", children: "A Jupyter Cell" }), _jsxs(Box, { children: ["Outputs Count: ", cellStore.outputsCount] }), _jsxs(Box, { children: ["Source: ", cellStore.source] }), _jsx(Box, { children: _jsx(Button, { onClick: () => cellStore.execute(), children: "Run cell" }) }), _jsx(Cell, { source: DEFAULT_SOURCE })] }));
};
root.render(_jsx(CellExample, {}));
//# sourceMappingURL=Cell.js.map